 
// Intégration du fichier SMSlib.h 
// la bibliotheque du DevKitSMS.
#include "header/SMSlib.h"
 
// En tête de la rom pour que cela soit lisible sur Master System.
SMS_EMBED_SEGA_ROM_HEADER(0,0);
SMS_EMBED_SDSC_HEADER(0,0,2018,01,02,"Monos","Carré","Test") ;


// Le Tableau de graphismes dans le même fichier main
const unsigned char Data_Tilset[]=
{
0xFF,0x00,0x00,0x00,
0x81,0x00,0x00,0x00,
0x81,0x00,0x00,0x00,
0x81,0x00,0x00,0x00,
0x81,0x00,0x00,0x00,
0x81,0x00,0x00,0x00,
0xFF,0x00,0x00,0x00
};
 
 
 
// ****************************************************************
// ** Fonction main qui est la fonction initiale du programme... **
// ****************************************************************
void main (void)
{
   
     
        
		// Mise en place de la palette de couleur
		SMS_setBGPaletteColor (0,0x00);
		SMS_setBGPaletteColor (1,0x0F);
        
		// Chargement du tiles en mémoire vidéo
        SMS_loadTiles (Data_Tilset, 1,32); 
        
		// Attente de la syncro verticale 
        SMS_waitForVBlank();
		
		// Affichage du tile 1 à l'écran
        SMS_setTileatXY(0,0,1) 
		
		// Allumage de l'écran
		SMS_displayOn(); 
  
        // ************************
        // ** Une boucle infinie **
        // ************************
        while (1)
        {
                // ******************************************************
                // Fonction pour attendre le retour du balayage écran. **
                // ******************************************************
                SMS_waitForVBlank();
    }
}
 